<?php
######################
# effectue le backOffice pour l'envoie d'une invitation
# - vérifie si le mail est déjà utilisé dans la base
# - si la personne est déjà invité (mais pas encore inscrite) le parrain devient la derniere personne
#   à l'avoir invité
# - si la personne est nouvelle, un nouveau guestId est généré
######################
/*
IN :
	player : row du joueur à l'origine de l'invitation
	guestemail : mail de l'invité
OUT :
	0 si le mail est déjà présent
	guestid : le guestId à renvoyer dans le mail
*/
function setInvitation($player, $guestemail)
{
	# nettoyage de l'email
	$guestemail = trim($guestemail);
	
	# verifie si le mail est déjà celui d'un membre
	$rowmember = main_db_query("SELECT Id FROM Members WHERE Email = '".$guestemail."'");
	
	if ($guestmember = db_fetch_array($rowmember))
		$id=0;
	else
	{
		# verifie s'il a déjà été invité par qql'un, mais pas encore inscrit
		$rowguest = main_db_query("SELECT * FROM Guests WHERE Email = '".$guestemail."'");
		if ($guest = db_fetch_array($rowguest))
		{
			# Changing Id to that of the last inviting player
			main_db_query("UPDATE Guests SET FatherPId = '".$player[Id]."' WHERE Email = '".$guestemail."'");
			
			# retourne le guestId qu'on renverra dans le mail
			$id = $guest[GuestId];
		}
		else
		{
	 		# New guest
			# ajout du guest dans la table Guests
		  	main_db_query("INSERT INTO Guests (Email, FatherPId, GuestId) VALUES ('".$guestemail."', '".$player[Id]."', '')");
		  	
			# recup de l'id inséré dans la table Guest
			$newGuest = db_fetch_array(main_db_query("SELECT Id FROM Guests WHERE Email = '".$guestemail."'"));
			
			# on construit le GuestId
			# $newGuest[Id] est unique, md5(uniqid(rand())) est une chaine sur 32 char, on a donc un
			# id unique (grace à newGuestId et imprédictible grace au md5(...)
			$id = $newGuest[Id].md5(uniqid(rand()));
			
			# on update le guest Id ainsi composé
			main_db_query("UPDATE Guests SET GuestId='".$id."' WHERE Id='".$newGuest[Id]."'");
		}
	}
	
	return $id;
}

############## Send a mail invitation
function sendmail($guestemail, $fatheremail, $subject, $message)
{
	generic_mail($guestemail, $subject, $message,
	       "From: ".$fatheremail."\n" . 
	       "Reply-To: ".$fatheremail."\n" . 
	       "X-Mailer: PHP/" . phpversion()."\n".
		   "MIME-Version: 1.0\n".
		   "Content-Type: text/html; charset=iso-8859-1");
}
###############

?>